Bug 928773 - the secondary gnome-abrt instance fails if sending command line arguments over dbus returns an error
Summary: the secondary gnome-abrt instance fails if sending command line arguments ove...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b59b9ff6889ecc663cf7206ca4...
Keywords:
Depends On: 926011
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-28 12:18 UTC by Jakub Filak
Modified: 2016-12-01 00:43 UTC (History)
3 users (show)

(edit)
Clone Of: 926011
(edit)
Last Closed: 2013-04-10 01:33:38 UTC


Attachments (Terms of Use)

Description Jakub Filak 2013-03-28 12:18:20 UTC
+++ This bug was initially created as a clone of Bug #926011 +++

Version-Release number of selected component:
gnome-abrt-0.2.9-1.fc19

Additional info:
cmdline:        python /usr/bin/gnome-abrt
dso_list:       dbus-python-1.1.1-3.fc19.x86_64
executable:     /usr/bin/gnome-abrt
kernel:         3.9.0-0.rc3.git0.4.fc19.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/bin/gnome-abrt", line 113, in _parse_command_line
    self._dbus_srv.send_command_line(argv)
  File "/usr/bin/gnome-abrt", line 97, in send_command_line
    self._primary_iface.command_line(argv)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x12d1650>
args: (dbus.Array([], signature=dbus.Signature('s')),)
object_path: '/org/freedesktop/GnomeAbrt'
signature: None
bus_name: dbus.UTF8String(':1.110')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.freedesktop.GnomeAbrt'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/GnomeAbrt, iface: org.freedesktop.GnomeAbrt, member: command_line dest: :1.110>
method: 'command_line'

--- Additional comment from mussadek on 2013-03-23 10:08:31 CET ---

Created attachment 714997 [details]
File: backtrace

--- Additional comment from mussadek on 2013-03-23 10:08:34 CET ---

Created attachment 714998 [details]
File: core_backtrace

--- Additional comment from mussadek on 2013-03-23 10:08:37 CET ---

Created attachment 714999 [details]
File: environ

--- Additional comment from Jakub Filak on 2013-03-25 19:03:01 CET ---

Thank you for the report.

Fixed in upstream:

commit 146c028ebba54f5270897ed9e8a01738f55b1320
Author: Jakub Filak <jfilak@redhat.com>
Date:   Mon Mar 25 16:26:42 2013 +0100

    Recover from DBus errors while sending command line
    
    - closes rhbz#926011
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Michal Toman <mtoman@redhat.com>

Comment 1 Fedora Update System 2013-03-29 12:03:31 UTC
gnome-abrt-0.2.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-abrt-0.2.10-2.fc17

Comment 2 Fedora Update System 2013-04-10 01:33:40 UTC
gnome-abrt-0.2.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.